dmmp_path_group_status_get(3)

NAME
dmmp_path_group_status_get - Retrieve path group status.

SYNOPSIS
uint32_t dmmp_path_group_status_get (struct dmmp_path_group *dmmp_pg);

ARGUMENTS

dmmp_pg
    Pointer of 'struct dmmp_path_group'. If this pointer is NULL, your program will be terminated by assert.

DESCRIPTION
The valid path group statuses are: * DMMP_PATH_GROUP_STATUS_UNKNOWN * DMMP_PATH_GROUP_STATUS_ENABLED -- standby to be active * DMMP_PATH_GROUP_STATUS_DISABLED -- disabled due to all path down * DMMP_PATH_GROUP_STATUS_ACTIVE -- selected to handle I/O

RETURN
uint32_t.